Cancel Payment Link
Cancels a payment link that has not yet been completed. A payment link can only be cancelled if no transactions are currently being processed for it. If the payment link cannot be cancelled, an `UNEXPECTED_SESSION_STATE` error is returned.
Authorization
BearerAuth In: header
Path Parameters
ID of the payment-link to cancel.
Header Parameters
Ensures that a request can be safely retried without causing duplicate operations. Typically used for actions like payment creation and operations such as refund and void to prevent accidental double processing. - If a response is replayed due to using the same key, the response will include the header `Idempotent-Replayed: true`. - Idempotency keys are scoped by **[Key, Endpoint, HTTP Verb]**; the same key on a different endpoint or method will not replay the original response. - Responses are cached for **24 hours**. After that, the cache is cleared, so idempotency is only guaranteed within 24 hours of the initial request.
Response Body
application/json
application/json
application/json
Create Payment Link
Creates a new payment link with the ePay Payments API. This endpoint requires a valid ApiKey and must be called from the server side to ensure the ApiKey is never exposed client-side. We recommend a minimum timeout of 5 seconds. Required fields In the ePay backoffice in the advanced Point of Sale settings you can set the default for many of the session initialization parameters, allowing you to change your setup from the interface without updating your code. Properties must be defined in either the point of sale settings or the API request. The API request takes precedence and overwrites any point of sale settings if present. These fields are: - scaMode - timeout - instantCapture - processor - maxAttempts - notificationUrl - successUrl - failureUrl
List Imported Payment Methods
Retrieve imported payment methods for the authenticated merchant using cursor-based pagination ordered by newest id. Each entry includes the imported payment method, its underlying payment method, and associated card details (if any).